
#include<stdio.h>
#include<string.h>
#include<unistd.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<pthread.h>
#include<stdlib.h>

#include"zither.h"
#include<almemsys/almemsys.h>


/*
char * filename_create(char *, char *, char *, char *);
*/


/* ---------------- FILENAME CREATE ---------------- */
char * filename_create(char *log_filename, char *log_path, char *tailname, char * user)
{ 

log_filename = safe_memcpy(log_filename, log_path, BUF_SLEN);
log_filename = safe_strncat(log_filename, user, BUF_SLEN);
log_filename = safe_strncat(log_filename, tailname, BUF_SLEN);

#ifdef DEBUG
printf("DEBUG: filename_create(): LOG_FILENAME =%s\n", log_filename);
#endif

return log_filename;
}





